Mises à jour de la configuration d’Adobe Campaign - Mars 2021

Une mise à jour de l’infrastructure et des paramètres doit être régulièrement effectuée avec les derniers builds et correctifs de produits. Ces correctifs sont nécessaires pour assurer la sécurité et la continuité du service. En outre, des mises à niveau seront nécessaires pour s’aligner sur les modifications tierces.

En tant que client Managed Services ou hébergé, Adobe vous informera des mises à niveau de build requises à intervalles réguliers. Vous devrez effectuer la mise à niveau conformément aux recommandations afin de garantir sa conformité.

En tant que client On-premise ou hybride, vous devez régulièrement mettre à niveau votre implémentation pour l'adapter aux derniers builds publiés.

Pour des raisons de sécurité, vous devez maintenant effectuer la mise à niveau vers l’une des versions répertoriées ci-dessous. Outre la procédure de mise à niveau standard, vous devez effectuer quelques tâches manuelles afin de vous assurer que votre environnement est sécurisé et prêt à recevoir les futures modifications apportées par Adobe ou des systèmes tiers.

REMARQUE

Pour toute question sur ces modifications, contactez l’Assistance clientèle d’Adobe.

Mises à jour de sécurité

Les dernières versions de Campaign s’accompagnent d’un correctif de sécurité qui renforce la protection contre les problèmes de type SSRF (Server Side Request Forgery). En savoir plus sur cette page.

Cela vous concerne-t-il ?

Si votre environnement utilise un build antérieur à ceux répertoriés ci-dessous, cela vous concerne :

Découvrez comment vérifier votre version dans cette section.

Comment effectuer la mise à jour ?

Vous devez effectuer une mise à niveau vers un build plus récent parmi ceux répertoriés ci-dessus.

  • En tant que client hybride, Adobe vous informera des dates de mise à niveau planifiées pour vos instances de mid-sourcing. Adobe vous recommande vivement de mettre également à niveau votre instance marketing.

    Le nouveau build offre une rétrocompatibilité avec la version 17.9 de Campaign Classic. Toutefois, Adobe vous recommande vivement d’effectuer une mise à niveau sur toutes les instances afin de remédier aux vulnérabilités de sécurité.

  • En tant que client On-premise, vous êtes invité à mettre à niveau les instances marketing et celles de mid-sourcing vers le build le plus récent.

ATTENTION

Si vous ne pouvez pas effectuer la mise à niveau dans le délai recommandé, vous devez contacter l’équipe de l’Assistance clientèle d’Adobe pour appliquer à court terme un correctif de sécurité manuel sur vos instances.

Mise à jour de la console cliente Campaign

Les versions désormais disponibles de la console ci-dessous doivent être installées pour résoudre une régression récemment identifiée. Cette régression empêchait l’utilisation de certains composants de la console cliente, tels que le sélecteur de date et la gestion des images dans les diffusions. La mise à niveau de la console est obligatoire.

Mise à jour d’Adobe Identity Management System (IMS)

Le Services d'identités Adobe ne prendra plus en charge les anciennes versions d’Internet Explorer à compter du 30 juin 2021. En savoir plus.

Une mise à niveau de la console cliente Campaign est nécessaire pour assurer la compatibilité avec Adobe IMS.

Cela vous concerne-t-il ?

Si vous vous connectez à Campaign via un Adobe ID, par le biais d’Adobe Identity Management Service (IMS), la mise à niveau vers l’une des nouvelles versions répertoriées ci-dessous est obligatoire :

Ces versions s’accompagnent d’un nouveau protocole de connexion : la mise à niveau est obligatoire pour que le serveur Campaign et la console cliente puissent se connecter à Campaign au-delà du 30 juin 2021.

Découvrez comment vérifier votre version dans cette section.

Comment effectuer la mise à jour ?

En tant que client hébergé, Adobe collaborera avec vous sous peu afin de mettre à niveau votre ou vos instance(s) vers la nouvelle version.

En tant que client On-premise/hybride, vous devez effectuer la mise à niveau vers l’une des versions les plus récentes pour bénéficier de la nouvelle console cliente et assurer une transition harmonieuse avant le 30 juin 2021.

Une fois toutes les instances mises à niveau, la console cliente doit également être mise à niveau vers cette version.

Intégration avec Experience Cloud Triggers

Le service d’authentification historique oAuth est arrivé en fin de vie Le mode d’authentification de l’intégration des triggers, historiquement basé sur l’authentification oAUTH pour accéder au pipeline, a été remplacé par Adobe I/O. Il prendra fin le 30 novembre 2021. En savoir plus.

Cela vous concerne-t-il ?

Si vos instances s’exécutent sur une version antérieure à Campaign 19.1.8, 20.2.4 ou Gold Standard 11, vous utilisez une version plus ancienne de l’intégration Triggers via l’authentification oAuth : vous devez effectuer la mise à niveau vers une version plus récente et passer à Adobe I/O.

La mise à niveau vers l’une des nouvelles versions répertoriées ci-dessous est obligatoire :

Découvrez comment vérifier votre version dans cette section.

Comment effectuer la mise à jour ?

Une fois les instances mises à niveau vers une version plus récente, tous les clients doivent suivre la procédure permettant de passer au nouveau mode d’authentification. Pour ce faire, vous devez générer le nouveau jeton Adobe I/O et l’utiliser dans l’implémentation.

En outre, pour les environnements hybrides, les clients doivent s'assurer que pipeline est configuré sur l'instance de mid-sourcing. En savoir plus.

Découvrez comment migrer vers Adobe I/O.

Mises à jour d’APNs

API du fournisseur APNs basée sur HTTP/2

Depuis le 31 mars 2021, le service Apple Push Notification (APNs) ne prend plus en charge l’ancien protocole binaire. En savoir plus.

Cela vous concerne-t-il ?

Si vos instances s’exécutent sur une version antérieure à Campaign 21.1 et que vous envoyez des notifications push avec le protocole binaire Apple hérité, vous devez mettre à jour l’API du fournisseur APNs basée sur HTTP/2.

Découvrez comment vérifier votre version dans cette section.

Comment effectuer la mise à jour ?

En tant que client hébergé, si vous avez effectué la mise à niveau vers le nouveau build, Adobe a déjà mis à jour votre ou vos instance(s) vers l’API basée sur HTTP/2.

En tant que client On-premise/hybride, vous devez mettre à jour votre configuration. Découvrez comment migrer vers HTTP/2

Mises à jour du certificat racine d’APNs

Le 29 mars 2021, une mise à jour de l’infrastructure du service Apple Push Notification (APNs) a eu un impact sur le canal iOS d’Adobe Campaign Classic. Une modification de la configuration du système d’exploitation est obligatoire pour éviter une panne du canal push d’iOS.

Pour en savoir plus sur les modifications d’APNs, consultez cette page.

Cela vous concerne-t-il ?

Si vous utilisez Campaign pour envoyer des notifications push sur des appareils iOS, cela vous concerne.

Comment effectuer la mise à jour ?

En tant que client hébergé, aucune action n’est nécessaire : Adobe a déjà intégré le nouveau certificat racine à votre environnement.

En tant que client On-premise/hybride, vous devez mettre à jour votre configuration pour garantir une transition harmonieuse avant le 29 mars 2021.

Découvrez comment intégrer le nouveau certificat.

Liens utiles

Sur cette page